<script>
// import { BAvatar } from 'bootstrap-vue'
import AppCollapse from '@core/components/app-collapse/AppCollapse'
import AppCollapseItem from '@core/components/app-collapse/AppCollapseItem'

export default {
  components: {
    BAvatar,
    AppCollapseItem,
    AppCollapse,
  },
  props: {
    options: {
      type: Object,
      default: () => {
      },
    },
  },
}
</script>

<template>
  <div v-if="options">
    <div class="d-flex align-items-center">
      <BAvatar
        rounded
        size="42"
        variant="light-primary"
        class="mr-1"
      >
        <FeatherIcon
          :icon="options.icon"
          size="20"
        />
      </BAvatar>
      <div>
        <h4 class="mb-0">
          {{ options.title }}
        </h4>
        <span>{{ options.subtitle }}</span>
      </div>
    </div>

    <!-- collapse -->
    <AppCollapse
      id="faq-payment-qna"
      accordion
      type="margin"
      class="mt-2"
    >
      <AppCollapseItem
        v-for="(data, index) in options.qandA"
        :key="index"
        :title="data.question"
      >
        {{ data.ans }}
      </AppCollapseItem>
    </AppCollapse>

    <!-- / collapse -->
  </div>
</template>
